Subject: Re: [DNSOP] Working Group Last Call for draft-ietf-dnsop-iana-class-type-yang

From: Benno Overeinder <[email-masked]>
Date: Tue, 3 Nov 2020 16:47:36 +0100

Dear WG,

The WGLC period for draft-ietf-dnsop-iana-class-type-yang has finished.

 From the comments on the mailing list of DNSOP participants who 
contributed and/or provided feedback on the document, I conclude that 
the authors have included and processed their comments.

The chairs feel that the draft is ready to move forward.

Thanks for the reviews,

— Benno

On 16/10/2020 15:49, Paul Wouters wrote:
> On Fri, 16 Oct 2020, Ladislav Lhotka wrote:
> 
>>>> https://datatracker.ietf.org/doc/draft-ietf-dnsop-iana-class-type-yang/
>>>
>>> This looks good to me.
>>>
>>> One minor item. Is it possible to add text in a way that instructs
>>> implementer they SHOULD NOT add "Obsolete" entries when populating?
>>
>> I think we need to assume that an implementer is familiar with the 
>> YANG spec, and this is just one of the rules to follow. Specifically, 
>> RFC 7950 says:
>>
>>   o  "obsolete" means that the definition is obsolete and SHOULD NOT be
>>      implemented and/or can be removed from implementations.
>>
>> This should IMO be sufficient and we needn't repeat in in this document.
> 
> Ah yes. And 7950 is referenced in the introduction, so I guess that
> should be enough.
> 
> Thanks,
> 
> Paul
> 
> _______________________________________________
> DNSOP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnsop